Fedora 21 : clamav-0.98.6-1.fc21 (2015-1461)

High Nessus Plugin ID 81115

Synopsis

The remote Fedora host is missing a security update.

Description

ClamAV 0.98.6 =============

ClamAV 0.98.6 is a bug fix release correcting the following :

- library shared object revisions.

- installation issues on some Mac OS X and FreeBSD platforms.

- includes a patch from Sebastian Andrzej Siewior making ClamAV pid files compatible with systemd.

- Fix a heap out of bounds condition with crafted Yoda's crypter files. This issue was discovered by Felix Groebert of the Google Security Team.

- Fix a heap out of bounds condition with crafted mew packer files. This issue was discovered by Felix Groebert of the Google Security Team.

- Fix a heap out of bounds condition with crafted upx packer files. This issue was discovered by Kevin Szkudlapski of Quarkslab.

- Fix a heap out of bounds condition with crafted upack packer files. This issue was discovered by Sebastian Andrzej Siewior. CVE-2014-9328.

- Compensate a crash due to incorrect compiler optimization when handling crafted petite packer files. This issue was discovered by Sebastian Andrzej Siewior.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected clamav package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=1187050

http://www.nessus.org/u?710c5df4

Plugin Details

Severity: High

ID: 81115

File Name: fedora_2015-1461.nasl

Version: 1.5

Type: local

Agent: unix

Published: 2015/02/02

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:clamav, cpe:/o:fedoraproject:fedora:21

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/01/30

Reference Information

CVE: CVE-2014-9328, CVE-2015-1461, CVE-2015-1462, CVE-2015-1463

FEDORA: 2015-1461